Page MenuHome

Adaptive Subdivision - Stray vertex / Spikes
Confirmed, NormalPublicBUG

Description

System Information
Operating system: Ubuntu 18.04
Graphics card: GTX 1080 Ti

Blender Version
Broken: 2.81 2019-12-05

Short description of error
I'm using adaptive subdivision for micro-displacements to turn a surface mesh into a thick scarf with yarn geometry. In some of my animation's frames I have found spikes in the rendering such as here:


It seems to be deterministic in that I can reproduce it for a single frame of the animation; I attached the blend file for a minimal example of a single frame with the issue.
This issue does not happen in the progressive viewport render. Also, since the ao-map that I'm using to drive the displacement does not change over time but this happens only in some frames, it is likely not related to the displacement map but more to the mesh and the adaptive subdivisions.

Exact steps for others to reproduce the error
Open the blend file and press F12 to render

Event Timeline

Germano Cavalcante (mano-wii) lowered the priority of this task from 90 to 50.Dec 6 2019, 3:22 PM

I can confirm the spike.

Operating system: Windows-10-10.0.18941 64 Bits
Graphics card: Radeon (TM) RX 480 Graphics

@Mai Lavelle (maiself), is this something you've worked on?

Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".

This has already been fixed in blender 2.83. Probably by rCfb54d4f307b1

Sadly this only fixed the one frame, or rather it shifts the issue to other frames.
A fully rendered animation shows more stray vertices:

I'm including another problematic frame as of Blender v2.83.2 (Date 2020-02-04 10:08)

I'm only including one frame because all frames would get large in terms of file size (and I render by loading only individual frames).

Germano Cavalcante (mano-wii) reopened this task as Needs Developer to Reproduce.Wed, Feb 5, 12:47 PM

I couldn't reproduce the problem here.
Are you sure you chose the right frame?

getshi (getshi) added a comment.EditedWed, Feb 5, 1:35 PM

I've redownloaded the blend file and pressed F12 giving me the following rendering in progress:


I get the stray vertex consistently. I also quickly retried with the newest 2.83 (February 05, 00:07:55 - 79003fa0c415) and the issue remains.

Germano Cavalcante (mano-wii) changed the task status from Needs Developer to Reproduce to Confirmed.Wed, Feb 5, 2:22 PM

Ah I can confirm now.
I had changed the resolution from 150% to 100% which probably changed the resulting tessellation.